Package org.apache.lucene.queryparser.surround.query

# Interface SimpleTerm.MatchingTermVisitor

Enclosing class:
  `SimpleTerm`

public static interface SimpleTerm.MatchingTermVisitor
Callback to visit each matching term during "rewrite" in `visitMatchingTerm(Term)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visitMatchingTerm(Term t)`

- ## Method Details

  - ### visitMatchingTerm

    void visitMatchingTerm(Term t) throws IOException
    Throws:
      `IOException`